org.apache.commons.math3.optim.nonlinear.scalar.noderiv

## Class CMAESOptimizer.Sigma

- java.lang.Object
- - org.apache.commons.math3.optim.nonlinear.scalar.noderiv.CMAESOptimizer.Sigma

- All Implemented Interfaces:
    OptimizationData
  Enclosing class:
    CMAESOptimizer

      public static class CMAESOptimizer.Sigma
      extends Object
      implements OptimizationData

  Input sigma values. They define the initial coordinate-wise standard deviations for sampling new search points around the initial guess. It is suggested to set them to the estimated distance from the initial to the desired optimum. Small values induce the search to be more local (and very small values are more likely to find a local optimum close to the initial guess). Too small values might however lead to early termination.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double[]` | `sigma` Sigma values.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMAESOptimizer.Sigma(double[] s)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `getSigma()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sigma

          private final double[] sigma

      Sigma values.

  - ### Constructor Detail

    - #### CMAESOptimizer.Sigma

          public CMAESOptimizer.Sigma(double[] s)
                               throws NotPositiveException

      Parameters:
        `s` - Sigma values.
      Throws:
        `NotPositiveException` - if any of the array entries is smaller than zero.

  - ### Method Detail

    - #### getSigma

          public double[] getSigma()

      Returns:
        the sigma values.

Copyright (c) 2003-2013 Apache Software Foundation